summaryrefslogtreecommitdiff
path: root/Biz/Dragons/get-examples.sh
diff options
context:
space:
mode:
Diffstat (limited to 'Biz/Dragons/get-examples.sh')
-rwxr-xr-xBiz/Dragons/get-examples.sh32
1 files changed, 22 insertions, 10 deletions
diff --git a/Biz/Dragons/get-examples.sh b/Biz/Dragons/get-examples.sh
index 35f024f..c7e4bc7 100755
--- a/Biz/Dragons/get-examples.sh
+++ b/Biz/Dragons/get-examples.sh
@@ -1,14 +1,26 @@
#!/usr/bin/env bash
-if [ "$#" == "0" ]
-then
+#
+##
+ if [ "$#" == "0" ]
+ then
echo "usage: $(basename $0) <cookie>"
echo "copy the cookie from the browser dev console"
exit 1
-fi
-cookie="$1"
-curl 'https://dragons.dev/analysis' \
- -d "owner=github&repo=training-kit" \
- -X POST \
- -H 'Content-Type: application/x-www-form-urlencoded' \
- -H "Cookie: JWT-Cookie=$cookie" \
- --compressed
+ else
+ cookie="$1"
+ curl 'https://dragons.dev/analysis' \
+ -d "owner=github&repo=training-kit" \
+ -X POST \
+ -H 'Content-Type: application/x-www-form-urlencoded' \
+ -H "Cookie: JWT-Cookie=$cookie" \
+ --silent \
+ --compressed
+ if [[ $? -eq 0 ]]; then
+ echo done
+ exit 0
+ else
+ echo error
+ exit 1
+ fi
+ fi
+##